[arch-commits] Commit in capi4hylafax/trunk (PKGBUILD capi4hylafax.install)

Eric Bélanger eric at archlinux.org
Sat May 2 02:26:31 EDT 2009


    Date: Saturday, May 2, 2009 @ 02:26:30
  Author: eric
Revision: 37486

upgpkg: capi4hylafax 010300-2
    Added license

Modified:
  capi4hylafax/trunk/PKGBUILD
  capi4hylafax/trunk/capi4hylafax.install

----------------------+
 PKGBUILD             |   46 +++++++++++++++++++++++-----------------------
 capi4hylafax.install |   11 -----------
 2 files changed, 23 insertions(+), 34 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-02 05:29:11 UTC (rev 37485)
+++ PKGBUILD	2009-05-02 06:26:30 UTC (rev 37486)
@@ -3,45 +3,45 @@
 
 pkgname=capi4hylafax
 pkgver=010300
-pkgrel=1 # arch64 is not really up to date 
+pkgrel=2
 pkgdesc="capi plugin for hylafax to enable isdn faxing"
 arch=(i686 x86_64)
 url="ftp://ftp.avm.de/tools"
-license=('GPL2')
+license=('GPL')
 depends=('glibc' 'capi4k-utils' 'hylafax')
 source=(ftp://ftp.avm.de/tools/capi4hylafax.linux/capi4hylafax-01.03.00.tar.gz
 	config.faxCAPI capi4hylafax.rc)
+md5sums=('d37dc652ac80d1525ef8693be55ee67f' '653b60695d21c128f020a86274ca9192'\
+         '1fe40c58289fa3ba625ce6fe2fdb3d07')
 install=capi4hylafax.install
 backup=(var/spool/hylafax/etc/config.faxCAPI)
 build() {
-  cd $startdir/src/$pkgname-01.03.00
+  cd $srcdir/$pkgname-01.03.00
 # fix config file
-  sed -i -e 's#/etc/config.faxCAPI#/var/spool/hylafax/etc/config.faxCAPI#g' src/defaults.h.in
-  ./configure
-  make
-  install -m755 -D src/faxsend/c2faxsend $startdir/pkg/usr/bin/c2faxsend
-  install -m755 -D src/faxrecv/c2faxrecv $startdir/pkg/usr/bin/c2faxrecv
-  install -m755 -D setupconffile $startdir/pkg/usr/bin/c2faxaddmodem
-  install -m644 -D $startdir/src/config.faxCAPI $startdir/pkg/var/spool/hylafax/etc/config.faxCAPI
-  install -m755 -D $startdir/src/capi4hylafax.rc $startdir/pkg/etc/rc.d/capi4hylafax
+  sed -i -e 's#/etc/config.faxCAPI#/var/spool/hylafax/etc/config.faxCAPI#g' src/defaults.h.in || return 1
+  ./configure || return 1
+  make || return 1
+  install -m755 -D src/faxsend/c2faxsend $pkgdir/usr/bin/c2faxsend
+  install -m755 -D src/faxrecv/c2faxrecv $pkgdir/usr/bin/c2faxrecv
+  install -m755 -D setupconffile $pkgdir/usr/bin/c2faxaddmodem
+  install -m644 -D $srcdir/config.faxCAPI $pkgdir/var/spool/hylafax/etc/config.faxCAPI
+  install -m755 -D $srcdir/capi4hylafax.rc $pkgdir/etc/rc.d/capi4hylafax
 # adding FIFO
-  mkfifo $startdir/pkg/var/spool/hylafax/FIFO.faxCAPI
-  chown 10 $startdir/pkg/var/spool/hylafax/FIFO.faxCAPI
-  chgrp 14 $startdir/pkg/var/spool/hylafax/FIFO.faxCAPI
-  chmod 0600 $startdir/pkg/var/spool/hylafax/FIFO.faxCAPI
-  mkdir -p $startdir/pkg/etc/udev/rules.d
+  mkfifo $pkgdir/var/spool/hylafax/FIFO.faxCAPI
+  chown 10 $pkgdir/var/spool/hylafax/FIFO.faxCAPI
+  chgrp 14 $pkgdir/var/spool/hylafax/FIFO.faxCAPI
+  chmod 0600 $pkgdir/var/spool/hylafax/FIFO.faxCAPI
+  mkdir -p $pkgdir/etc/udev/rules.d
 # fix /var/spool/hylafax permission
-  chown 10 $startdir/pkg/var/spool/hylafax
-  chgrp 14 $startdir/pkg/var/spool/hylafax
+  chown 10 $pkgdir/var/spool/hylafax
+  chgrp 14 $pkgdir/var/spool/hylafax
 # adding udev rule
-cat << EOF >> $startdir/pkg/etc/udev/rules.d/capi4hylafax.rules
+cat << EOF >> $pkgdir/etc/udev/rules.d/capi4hylafax.rules
 # CAPI devices
 KERNEL=="capi",		NAME="capi20", SYMLINK+="isdn/capi20", GROUP="uucp"
 KERNEL=="capi*",		NAME="capi/%n", GROUP="uucp"
 EOF
 # fix c2faxadd
-  sed -i -e 's#/etc/config.faxCAPI#/var/spool/hylafax/etc/config.faxCAPI#g' $startdir/pkg/usr/bin/c2faxaddmodem
-  echo "main_config_dialog" >>  $startdir/pkg/usr/bin/c2faxaddmodem
+  sed -i -e 's#/etc/config.faxCAPI#/var/spool/hylafax/etc/config.faxCAPI#g' $pkgdir/usr/bin/c2faxaddmodem || return 1
+  echo "main_config_dialog" >>  $pkgdir/usr/bin/c2faxaddmodem
 }
-md5sums=('d37dc652ac80d1525ef8693be55ee67f' '653b60695d21c128f020a86274ca9192'\
-         '1fe40c58289fa3ba625ce6fe2fdb3d07')

Modified: capi4hylafax.install
===================================================================
--- capi4hylafax.install	2009-05-02 05:29:11 UTC (rev 37485)
+++ capi4hylafax.install	2009-05-02 06:26:30 UTC (rev 37486)
@@ -1,7 +1,3 @@
-# This is a default template for a post-install scriptlet.  You can
-# remove any functions you don't need (and this header).
-
-# arg 1:  the new package version
 post_install() {
 cat << EOF
 For more information about setting up the package, please have a look here:
@@ -9,19 +5,12 @@
 EOF
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
   post_install $1
 }
 
-# arg 1:  the old package version
 post_remove() {
 cat << EOF
 Please remove your additions to /var/spool/hylafax/etc/config
 EOF
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list